using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace ConsoleApp32
{
    internal class Program
    {
        static void Main(string[] args)
        {
            string[] a = Console.ReadLine().Split();
            int N = int.Parse(a[0]);  
            int L = int.Parse(a[1]);

            string[] b = Console.ReadLine().Split();
            int[] H = new int[N];

            for (int i = 0; i < N; i++)
            {
                H[i] = int.Parse(b[i]);
            }

            for (int i = 0; i < N; i++)
            {
                if (H[i] <= L)
                {
                    Console.WriteLine(i + 1);  
                    return;
                }
            }

            Console.WriteLine(-1);
        }
    }
    }